import { ContextMenuItem } from '../types';
interface ContextMenuOptions {
    container: HTMLElement;
    highlight?: any;
    items: ContextMenuItem[];
}
export declare class ContextMenu {
    domElement: HTMLElement;
    container: HTMLElement;
    constructor({ container, highlight, items }: ContextMenuOptions);
    private onClickOutside;
    private onKeyDown;
    private onResize;
    show(x: number, y: number): void;
    destroy(): void;
}
export {};
