import { ViewportHighlight } from '../types';
/**
 * Show a text highlight.
 */
export declare class TextHighlight {
    private highlight;
    private isScrolledTo;
    private style?;
    private onClick?;
    private onMouseOver?;
    private onMouseOut?;
    private onContextMenu?;
    constructor(highlight: ViewportHighlight, isScrolledTo: boolean, onClick?: (event: MouseEvent) => void, onMouseOver?: (event: MouseEvent) => void, onMouseOut?: (event: MouseEvent) => void, onContextMenu?: (event: MouseEvent) => void, style?: object);
    /**
     * Crea l'elemento DOM per l'evidenziazione.
     */
    render(): HTMLDivElement;
}
