import { Page } from '../types';
export declare const getDocument: (element: any) => Document;
export declare const getWindow: (element: any) => typeof window;
export declare const isHTMLElement: (element: any) => element is HTMLElement;
export declare const isHTMLCanvasElement: (element: any) => element is HTMLCanvasElement;
export declare const asElement: (x: any) => HTMLElement;
export declare const getPageFromElement: (target: HTMLElement) => Page | null;
export declare const getPagesFromRange: (range: Range) => Page[];
export declare const findOrCreateContainerLayer: (container: HTMLElement, className: string) => Element | null;
